Subject: Re: tcl3270 failure in new Cygwin install
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Tue, 14 Sep 2021 20:49:58 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-09-14 17:27, Peter A. Castro wrote:
> On Tue, Sep 14, 2021 at 06:29:19PM -0400, David McNeill of the clan McNeill wrote:
>> I just performed a new Cygwin install (32 bit) and chose to install
>> package tcl3270, version 3.3.15ga9-1.  Installation of Cygwin, tcl3270
>> prerequisites, and tcl3270 completed successfully, but when I run
>> tcl3270.exe within Cygwin I get the following error.
>>
>> C:/cygwin/bin/tcl3270.exe: error while loading shared libraries:
>> libtcl8.5.dll: cannot open shared object file: No such file or
>> directory

> Yep, dependency on older tcl libs is the problem.

>> In Cygwin setup, it shows that tcl 8.6.11-1 is installed.  I suspect
>> that tcl3270 needs to be compiled against the new tcl package.  Is the
>> tcl3270 package still maintained, and if so, can the package
>> maintainer compile against tcl 8.6.11.1 (assuming this is the
>> problem)?

> Yes, this is the problem, but I'm having system issues and can't easily
> rebuild these packages right now.  Actually, I'm trying to get the
> latest x3270 packages built, but I haven't had much spare time lately.
> Might still be a while until this happens.

Just so happens there's this guy called Castro ;^> who keeps copies of 
most setups and packages ever released in the Cygwin Time Machine:

http://www.crouchingtigerhiddenfruitbat.org/Cygwin/timemachine.html

and circa (TM) 6 years ago there's copies of tcl 8.5.18-1:

http://ctm.crouchingtigerhiddenfruitbat.org/pub/cygwin/circa/64bit/2015/09/14/161026/index.html

with the tar at:

http://ctm.crouchingtigerhiddenfruitbat.org/pub/cygwin/circa/64bit/2015/09/14/161026/x86_64/release/tcl/tcl-8.5.18-1.tar.xz

$ curl -I 
http://ctm.crouchingtigerhiddenfruitbat.org/pub/cygwin/circa/64bit/2015/09/14/161026/x86_64/release/tcl/tcl-8.5.18-1.tar.xz
HTTP/1.1 200 OK
Date: Wed, 15 Sep 2021 02:32:33 GMT
Server: Apache/2.2.34 (Amazon)
Last-Modified: Wed, 20 May 2015 08:18:00 GMT
ETag: "d60b7e-122404-5167f10ad3e00"
Accept-Ranges: bytes
Content-Length: 1188868
Connection: close
Content-Type: application/x-xz

so you could run Cygwin Setup to install tcl3270 and its dependencies 
from that mirror URL with options:

-X, --no-verify		Don't verify setup.ini signatures
     --no-version-check	Suppress checking if a newer version of setup is 
available
-O, --only-site		Do not download mirror list, only use sites specified 
with -s
-s, --site URL		Download site URL

with URL:

http://ctm.crouchingtigerhiddenfruitbat.org/pub/cygwin/circa/64bit/2015/09/14/161026/

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple